POST/boletos

Issue Boleto

Request Body

required
object

Request with information to create a boleto

boletoConnectionIdrequiredstring (uuid)

Primary identifier of the boleto connection

boletorequiredobject
seuNumerorequiredstring

Your identifier for this boleto

amountrequirednumber

Boleto amount

dueDaterequiredstring (date-time)

Due date for the boleto. Must be today or in the future.

payerrequiredobject
fineobject

Fine information for late payment

interestobject

Interest information for late payment

Example

json
{
  "boletoConnectionId": "550e8400-e29b-41d4-a716-446655440000",
  "boleto": {
    "seuNumero": "string",
    "amount": 0,
    "dueDate": "2024-01-01T00:00:00Z",
    "payer": {
      "taxNumber": "41.679.495/0001-00",
      "name": "NOME LEGAL EMPRESA",
      "addressStreet": "string",
      "addressCity": "string",
      "addressState": "string",
      "addressZipCode": "string"
    },
    "fine": {
      "value": 0,
      "type": "PERCENTAGE"
    },
    "interest": {
      "value": 0,
      "type": "PERCENTAGE"
    }
  }
}

Responses

200Boleto created successfully
object

Response with information related to an issued boleto

idrequiredstring

Primary identifier

amountrequirednumber

Boleto amount

statusrequiredstring

Current status of the boleto. - `OPEN`: the boleto has been issued and is awaiting payment. - `PAID`: the boleto has been paid (see `paidAt`, `amountPaid`, `paymentOrigin`). - `OVERDUE`: the due date has passed and the boleto has not been paid. - `CANCELLED`: the boleto was canceled by the issuer. - `PROTESTED`: the boleto was sent to a protesto/credit-bureau process.

OPENPAIDOVERDUECANCELLEDPROTESTED
seuNumerorequiredstring

Your identifier for this boleto

dueDaterequiredstring (date-time)

Due date of the boleto

payerrequiredobject
taxNumberrequiredstring

Payer tax number (CPF/CNPJ)

personTypestring

Type of person (individual or business)

namerequiredstring

Payer name

addressStreetstring

Payer street address

addressNumberstring

Payer address number

addressComplementstring

Additional address information

addressNeighborhoodstring

Payer neighborhood

addressCitystring

Payer city

addressStaterequiredstring

Payer state

addressZipCoderequiredstring

Payer ZIP code

emailstring

Payer email

dddstring

Payer area code

phoneNumberstring

Payer phone number

pixQrstring

PIX QR code for payment

digitableLinerequiredstring

Boleto digitable line

nossoNumerostring

Bank's internal identifier for the boleto

barcoderequiredstring

Boleto barcode

boletoConnectionIdrequiredstring (uuid)

ID of the boleto connection used to create this boleto

createdAtrequiredstring (date-time)

Date when the boleto was created

amountPaidnumber | null

Amount that was paid for this boleto

paymentOriginstring | null

Origin of the payment when the boleto is paid

PIXBOLETO
fineobject | null

Fine information for late payment

valuenumber

Fine value

typestring

Type of fine calculation

PERCENTAGEFIXED
interestobject

Interest information for late payment

valuenumber

Interest value

typestring

Type of interest calculation

PERCENTAGE
paidAtstring (date-time)

Date when the boleto was paid

Example response

json
{
  "id": "string",
  "amount": 0,
  "status": "OPEN",
  "seuNumero": "string",
  "dueDate": "2024-01-01T00:00:00Z",
  "payer": {
    "taxNumber": "string",
    "personType": "string",
    "name": "string",
    "addressStreet": "string",
    "addressNumber": "string",
    "addressComplement": "string",
    "addressNeighborhood": "string",
    "addressCity": "string",
    "addressState": "string",
    "addressZipCode": "string",
    "email": "string",
    "ddd": "string",
    "phoneNumber": "string"
  },
  "pixQr": "string",
  "digitableLine": "string",
  "nossoNumero": "string",
  "barcode": "string",
  "boletoConnectionId": "550e8400-e29b-41d4-a716-446655440000",
  "createdAt": "2024-01-01T00:00:00Z",
  "amountPaid": 0,
  "paymentOrigin": "PIX",
  "fine": {
    "value": 0,
    "type": "PERCENTAGE"
  },
  "interest": {
    "value": 0,
    "type": "PERCENTAGE"
  },
  "paidAt": "2024-01-01T00:00:00Z"
}

Code Examples

bash
curl -X POST 'https://api.pluggy.ai/boletos' \
  -H 'Content-Type: application/json' \
  -H 'X-API-KEY: YOUR_API_KEY' \
  -d '{}'

Try It